Bug 72215 - Exhausted memory error (not related to memory!)
Exhausted memory error (not related to memory!)
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2002-08-21 19:58 EDT by Hetz Ben Hamo
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-03 00:13:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hetz Ben Hamo 2002-08-21 19:58:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Bug related to Redhat "null" beta (couldn't find it on "version").

Description of problem:
When trying to compile arts/flow from the KDE CVS I get "Exhusted memory error"
in this directory. arts is from KDE CVS..

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.grab arts branch from KDE cvs (from HEAD which is the default)
2.do: make -f Makefile.cvs ; ./configure ; make (make sure you have QT installed)
3.When it gets into the "arts/flow" directory - I get the error
	make[2]: Entering directory `/home/kde3/arts/flow'
make[2]: *** virtual memory exhausted.  Stop.
make[2]: Leaving directory `/home/kde3/arts/flow'

Actual Results:  Actual output:
make[2]: Entering directory `/home/kde3/arts/flow'
make[2]: *** virtual memory exhausted.  Stop.
make[2]: Leaving directory `/home/kde3/arts/flow'

And it shouldn't - here's my output of "free"
             total       used       free     shared    buffers     cached
Mem:        514180     498260      15920          0      10508     234064
-/+ buffers/cache:     253688     260492
Swap:      1052248          0    1052248

So there's plenty of free memory - both real and swap

Expected Results:  to compile ;)

Additional info:

If needed - I can pack the arts directory (it's 1.2MB) and send it. It happends
only in the "arts/flow" directory and prior directories are compiled ok.

I'm not sure if this bug is related to gcc though, but I couldn't find any other
package which is related to this problem.
Comment 1 Richard Henderson 2004-10-03 00:13:17 EDT
Build of arts-1.3.0 with gcc-3.3.3 doesn't exhibit this problem.

Note You need to log in before you can comment on or make changes to this bug.